<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>angular-frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">angular-frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li
  >
  AppComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>projects/projects-app-ang/src/app/app.component.ts</code>
</p>






<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover metadata">
        <tbody>

            <tr>
                <td class="col-md-3">changeDetection</td>
                <td class="col-md-9"><code>ChangeDetectionStrategy.OnPush</code></td>
            </tr>










            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-root</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./app.component.css</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./app.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#title" >title</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#translate" >translate</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#toggle" >toggle</a>
                            </li>
                            <li>
                                <a href="#translateLanguageTo" >translateLanguageTo</a>
                            </li>
                        </ul>
                    </td>
                </tr>





                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#isLandingPage" >isLandingPage</a>
                                </li>
                                <li>
                                    <a href="#isMainPage" >isMainPage</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(translate: TranslateService, sidebarService: NbSidebarService, pageService: <a href="../injectables/PageService.html" target="_self">PageService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="14" class="link-to-prism">projects/projects-app-ang/src/app/app.component.ts:14</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>translate</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>sidebarService</td>
                                                  
                                                        <td>
                                                                    <code>NbSidebarService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>pageService</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/PageService.html" target="_self" >PageService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="toggle"></a>
                    <span class="name">
                        <span ><b>toggle</b></span>
                        <a href="#toggle"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>toggle()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="38"
                            class="link-to-prism">projects/projects-app-ang/src/app/app.component.ts:38</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="translateLanguageTo"></a>
                    <span class="name">
                        <span ><b>translateLanguageTo</b></span>
                        <a href="#translateLanguageTo"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>translateLanguageTo(lang: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="34"
                            class="link-to-prism">projects/projects-app-ang/src/app/app.component.ts:34</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>lang</td>
                                    <td>
                                                <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section>
    
    <h3 id="inputs">
        Properties
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="title"></a>
                    <span class="name">
                        <span ><b>title</b></span>
                        <a href="#title"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>&#x27;ProjectsAppAng&#x27;</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="14" class="link-to-prism">projects/projects-app-ang/src/app/app.component.ts:14</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="translate"></a>
                    <span class="name">
                            <span class="modifier">Public</span>
                        <span ><b>translate</b></span>
                        <a href="#translate"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>TranslateService</code>

                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="17" class="link-to-prism">projects/projects-app-ang/src/app/app.component.ts:17</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isLandingPage"></a>
                        <span class="name"><b>isLandingPage</b><a href="#isLandingPage"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isLandingPage()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">projects/projects-app-ang/src/app/app.component.ts:27</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isMainPage"></a>
                        <span class="name"><b>isMainPage</b><a href="#isMainPage"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isMainPage()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="30" class="link-to-prism">projects/projects-app-ang/src/app/app.component.ts:30</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, ChangeDetectionStrategy } from &#x27;@angular/core&#x27;;
import { TranslateService } from &#x27;@ngx-translate/core&#x27;;
import { NbSidebarService } from &#x27;@nebular/theme&#x27;;
import { PageService } from &#x27;./page.service&#x27;;
import { AuthComponent } from &#x27;./components/auth/auth.component&#x27;;

@Component({
  selector: &#x27;app-root&#x27;,
  templateUrl: &#x27;./app.component.html&#x27;,
  styleUrls: [&#x27;./app.component.css&#x27;],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AppComponent {
  title &#x3D; &#x27;ProjectsAppAng&#x27;;

  constructor(
    public translate: TranslateService,
    private sidebarService: NbSidebarService,
    private pageService: PageService
  ){ 
      // Register translation languages
      translate.addLangs([&#x27;🇬🇧&#x27;, &#x27;🇩🇪&#x27;]);
      // Set default language
      translate.setDefaultLang(&#x27;🇬🇧&#x27;);
    } 

    get isLandingPage(): boolean {
      return this.pageService.getIsLandingPage();}
    
    get isMainPage(): boolean {
        return this.pageService.getIsMainPage();}
    //Switch language

    translateLanguageTo(lang: string) { 
      this.translate.use(lang);
  }

  toggle() {
    this.sidebarService.toggle(true, &#x27;left&#x27;);
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;style&gt;
  .bottom-space {
    margin-bottom: 10px;
  }
&lt;/style&gt;

&lt;div *ngIf&#x3D;&quot;!isMainPage&quot;&gt;
  &lt;nb-layout&gt;
    &lt;!-- No touchy if you dont know what you are doin! NO TOUCHY! --&gt;
  
    &lt;nb-layout-header fixed&gt;
      &lt;nb-actions size&#x3D;&quot;medium&quot; class&#x3D;&quot;actions-container&quot;&gt;
        
        
       
        &lt;nb-action&gt;
          &lt;app-c-language&gt;&lt;/app-c-language&gt;
        &lt;/nb-action&gt;
        &lt;nb-action class&#x3D;&quot;frank&quot;&gt;
          &lt;!-- NFDI4Ing Logo--&gt;
          &lt;a href&#x3D;&quot;https://nfdi4ing.de/de/archetypes/frank/&quot;&gt;
            &lt;img src&#x3D;&quot;../assets/images/Frank_Icon.png&quot; alt&#x3D;&quot;Frank Logo&quot; style&#x3D;&quot;height: 3rem; width: auto;&quot;/&gt;
          &lt;/a&gt;
        &lt;/nb-action&gt;
        &lt;nb-action class&#x3D;&quot;logo&quot;&gt;
          &lt;!-- NFDI4Ing Logo--&gt;
          &lt;a href&#x3D;&quot;https://nfdi4ing.de/&quot;&gt;
            &lt;img src&#x3D;&quot;https://blog.rwth-aachen.de/forschungsdaten/files/2019/08/nfdi4ing_logo.png&quot; alt&#x3D;&quot;nfdi4ing&quot; style&#x3D;&quot;height: 3rem; width: auto&quot;&gt;
          &lt;/a&gt;
        &lt;/nb-action&gt;
      &lt;/nb-actions&gt;
      
      &lt;style&gt;
        .actions-container {
          justify-content: space-between;
        }
     
        .logo {
          position: fixed;
          top: 4;
          right: 0;
          margin-left: 100%;
          padding-right: 1rem; 
        }
        .frank{
          position: fixed;
          top: 4;
          margin-left: 87%;
          padding-right: 1rem; 
        }
      &lt;/style&gt;
      
  
    &lt;/nb-layout-header&gt;
  
    &lt;nb-layout-column&gt;
      &lt;!-- Insert page content here --&gt;
      &lt;router-outlet&gt;&lt;/router-outlet&gt;
    &lt;/nb-layout-column&gt;
  
    &lt;nb-layout-footer fixed &gt;
      &lt;!-- Insert footer here --&gt;
      &lt;nb-actions&gt;
        &lt;nb-action&gt;
          &lt;a href&#x3D;&quot;https://www.dfg.de&quot;&gt;
            &lt;img src&#x3D;&quot;../assets/images/dfgfallback.jpg&quot; alt&#x3D;&quot;DFG-Logo&quot; style&#x3D;&quot;height: 7.5rem; width: auto&quot;&gt;
          &lt;/a&gt;
        &lt;/nb-action&gt;
        &lt;nb-action&gt;
          &lt;a href&#x3D;&quot;https://nfdi4ing.de&quot;&gt;
            &lt;img src&#x3D;&quot;../assets/images/logo_nfdi4ing_rgb_quer.png&quot; alt&#x3D;&quot;NFDI4Ing-Logo&quot; style&#x3D;&quot;height: 4rem; width: auto&quot;&gt;
          &lt;/a&gt;
        &lt;/nb-action&gt;
        &lt;nb-action&gt;
          &lt;a href&#x3D;&quot;https://www.rwth-aachen.de/go/id/a/&quot;&gt;
            &lt;img src&#x3D;&quot;../assets/images/4015077e0188953563f1302799d86a10.jpg&quot; alt&#x3D;&quot;RWTH-Logo&quot; style&#x3D;&quot;height: 7rem; width: auto&quot;&gt;
          &lt;/a&gt;
        &lt;/nb-action&gt;
        &lt;nb-action&gt;
          &lt;a href&#x3D;&quot;https://www.wzl.rwth-aachen.de/go/id/sijq/&quot;&gt;
           &lt;img src&#x3D;&quot;../assets/images/wzl.png&quot; alt&#x3D;&quot;RWTH-Logo&quot; style&#x3D;&quot;height: 3rem; width: auto&quot;&gt;
         &lt;/a&gt;
       &lt;/nb-action&gt;
        &lt;nb-action size&#x3D;&quot;medium&quot; class&#x3D;&quot;actions-container&quot;&gt;
          &lt;a href&#x3D;&quot;https://www.ipt.fraunhofer.de&quot;&gt;
            &lt;img src&#x3D;&quot;../assets/images/logo-ipt.gif&quot; alt&#x3D;&quot;IPT-Logo&quot; style&#x3D;&quot;height: 5rem; width: auto&quot;/&gt;
          &lt;/a&gt;
        &lt;/nb-action&gt;
      &lt;/nb-actions&gt;
      &lt;app-messages&gt;&lt;/app-messages&gt;
    &lt;/nb-layout-footer&gt;
  &lt;/nb-layout&gt;
      

  
  
&lt;/div&gt;

&lt;div *ngIf&#x3D;&quot;!isLandingPage&quot;&gt;
&lt;nb-layout&gt;
  &lt;!-- No touchy if you dont know what you are doin! NO TOUCHY! --&gt;

  &lt;nb-layout-header fixed&gt;
  &lt;!-- Insert header here  --&gt;
      &lt;app-m-header&gt;&lt;/app-m-header&gt;  

  &lt;/nb-layout-header&gt;

  &lt;nb-layout-column&gt;
    &lt;!-- Insert page content here --&gt; 
    &lt;router-outlet&gt;&lt;/router-outlet&gt;
  &lt;/nb-layout-column&gt;

  &lt;nb-sidebar tag&#x3D;&quot;left&quot; state&#x3D;&quot;collapsed&quot;&gt;
    &lt;!-- Insert sidebar here --&gt;

&lt;!--&lt;a class&#x3D;&quot;bottom-space&quot; nbButton shape&#x3D;&quot;semi-round&quot; status&#x3D;&quot;primary&quot; routerLink&#x3D;&quot;projects&quot;&gt;
      Projects
&lt;/a&gt;

&lt;a class&#x3D;&quot;bottom-space&quot; nbButton shape&#x3D;&quot;semi-round&quot; status&#x3D;&quot;primary&quot; routerLink&#x3D;&quot;add&quot;&gt;
    Add Project
&lt;/a&gt; 

&lt;a class&#x3D;&quot;bottom-space&quot; nbButton shape&#x3D;&quot;semi-round&quot; status&#x3D;&quot;primary&quot; routerLink&#x3D;&quot;my&quot;&gt;
  My Project
&lt;/a&gt;

&lt;a class&#x3D;&quot;bottom-space&quot; nbButton shape&#x3D;&quot;semi-round&quot; status&#x3D;&quot;primary&quot; routerLink&#x3D;&quot;landing&quot;&gt;
  Landing Page
&lt;/a&gt;--&gt; &lt;!--Other Option(Verworfen)--&gt;


&lt;nb-accordion multi&gt;
  &lt;nb-accordion-item&gt;
    &lt;nb-accordion-item-header&gt;
      Projects
    &lt;/nb-accordion-item-header&gt; &lt;button nbButton status&#x3D;&quot;success&quot;&gt;Success&lt;nb-icon icon&#x3D;&quot;star&quot;&gt;&lt;/nb-icon&gt;&lt;/button&gt;
    &lt;nb-accordion-item-body&gt;
      &lt;a class&#x3D;&quot;bottom-space&quot; nbButton ghost shape&#x3D;&quot;semi-round&quot; ghost routerLink&#x3D;&quot;projects&quot;&gt;
        My Projects&lt;nb-icon icon&#x3D;&quot;attach-outline&quot;&gt;&lt;/nb-icon&gt;
      &lt;/a&gt;
      &lt;a class&#x3D;&quot;bottom-space&quot; nbButton shape&#x3D;&quot;semi-round&quot; ghost routerLink&#x3D;&quot;add&quot;&gt;
        Add Project&lt;nb-icon icon&#x3D;&quot;plus-circle-outline&quot;&gt;&lt;/nb-icon&gt;
      &lt;/a&gt;
      &lt;a class&#x3D;&quot;bottom-space&quot; nbButton shape&#x3D;&quot;semi-round&quot; ghost routerLink&#x3D;&quot;my&quot;&gt;
        Template&lt;nb-icon icon&#x3D;&quot;person-add-outline&quot;&gt;&lt;/nb-icon&gt;
      &lt;/a&gt;
    &lt;/nb-accordion-item-body&gt;
  &lt;/nb-accordion-item&gt;
&lt;/nb-accordion&gt;
&lt;nb-accordion multi&gt;
  &lt;nb-accordion-item&gt;
    &lt;nb-accordion-item-header&gt;
      Explore
    &lt;/nb-accordion-item-header&gt; &lt;button nbButton status&#x3D;&quot;success&quot;&gt;Success&lt;nb-icon icon&#x3D;&quot;star&quot;&gt;&lt;/nb-icon&gt;&lt;/button&gt;
    &lt;nb-accordion-item-body&gt;
      &lt;a class&#x3D;&quot;bottom-space&quot; nbButton shape&#x3D;&quot;semi-round&quot; ghost routerLink&#x3D;&quot;landing&quot;&gt;
        Guidelines
      &lt;/a&gt;
      &lt;a class&#x3D;&quot;bottom-space&quot; nbButton shape&#x3D;&quot;semi-round&quot; ghost routerLink&#x3D;&quot;landing&quot;&gt;
        Settings
      &lt;/a&gt;
    &lt;/nb-accordion-item-body&gt;
  &lt;/nb-accordion-item&gt;
&lt;/nb-accordion&gt;
    &lt;!--&lt;nb-action icon&#x3D;&quot;menu-outline&quot; (click)&#x3D;&quot;toggle()&quot;&gt;&lt;/nb-action&gt;--&gt; &lt;!--Das erzeugt ein toggle Menu in der Sidebar, sieht komisch aus. Kann man einschalten wenn gebraucht.--&gt;
  &lt;/nb-sidebar&gt;

  &lt;nb-layout-footer fixed &gt;
    &lt;!-- Insert footer here --&gt;
    &lt;nb-actions&gt;
      &lt;nb-action&gt;
        &lt;a href&#x3D;&quot;https://www.dfg.de&quot;&gt;
          &lt;img src&#x3D;&quot;../assets/images/dfgfallback.jpg&quot; alt&#x3D;&quot;DFG-Logo&quot; style&#x3D;&quot;height: 7.5rem; width: auto&quot;&gt;
        &lt;/a&gt;
      &lt;/nb-action&gt;
      &lt;nb-action&gt;
        &lt;a href&#x3D;&quot;https://nfdi4ing.de&quot;&gt;
          &lt;img src&#x3D;&quot;../assets/images/logo_nfdi4ing_rgb_quer.png&quot; alt&#x3D;&quot;NFDI4Ing-Logo&quot; style&#x3D;&quot;height: 4rem; width: auto&quot;&gt;
        &lt;/a&gt;
      &lt;/nb-action&gt;
      &lt;nb-action&gt;
        &lt;a href&#x3D;&quot;https://www.rwth-aachen.de/go/id/a/&quot;&gt;
          &lt;img src&#x3D;&quot;../assets/images/4015077e0188953563f1302799d86a10.jpg&quot; alt&#x3D;&quot;RWTH-Logo&quot; style&#x3D;&quot;height: 7rem; width: auto&quot;&gt;
        &lt;/a&gt;
      &lt;/nb-action&gt;
      &lt;nb-action&gt;
        &lt;a href&#x3D;&quot;https://www.wzl.rwth-aachen.de/go/id/sijq/&quot;&gt;
         &lt;img src&#x3D;&quot;../assets/images/wzl.png&quot; alt&#x3D;&quot;RWTH-Logo&quot; style&#x3D;&quot;height: 3rem; width: auto&quot;&gt;
       &lt;/a&gt;
     &lt;/nb-action&gt;
      &lt;nb-action size&#x3D;&quot;medium&quot; class&#x3D;&quot;actions-container&quot;&gt;
        &lt;a href&#x3D;&quot;https://www.ipt.fraunhofer.de&quot;&gt;
          &lt;img src&#x3D;&quot;../assets/images/logo-ipt.gif&quot; alt&#x3D;&quot;IPT-Logo&quot; style&#x3D;&quot;height: 5rem; width: auto&quot;/&gt;
        &lt;/a&gt;
      &lt;/nb-action&gt;

     
    &lt;/nb-actions&gt;
    
    &lt;app-messages&gt;&lt;/app-messages&gt;
    
  &lt;/nb-layout-footer&gt;
  

&lt;/nb-layout&gt;
    
&lt;/div&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./app.component.css</code>
                </p>
                <pre class="line-numbers"><code class="language-scss"></code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><style>  .bottom-space {    margin-bottom: 10px;  }</style><div *ngIf="!isMainPage">  <nb-layout>    <!-- No touchy if you dont know what you are doin! NO TOUCHY! -->      <nb-layout-header fixed>      <nb-actions size="medium" class="actions-container">                               <nb-action>          <app-c-language></app-c-language>        </nb-action>        <nb-action class="frank">          <!-- NFDI4Ing Logo-->          <a href="https://nfdi4ing.de/de/archetypes/frank/">            <img src="../assets/images/Frank_Icon.png" alt="Frank Logo" style="height: 3rem; width: auto;"/>          </a>        </nb-action>        <nb-action class="logo">          <!-- NFDI4Ing Logo-->          <a href="https://nfdi4ing.de/">            <img src="https://blog.rwth-aachen.de/forschungsdaten/files/2019/08/nfdi4ing_logo.png" alt="nfdi4ing" style="height: 3rem; width: auto">          </a>        </nb-action>      </nb-actions>            <style>        .actions-container {          justify-content: space-between;        }             .logo {          position: fixed;          top: 4;          right: 0;          margin-left: 100%;          padding-right: 1rem;         }        .frank{          position: fixed;          top: 4;          margin-left: 87%;          padding-right: 1rem;         }      </style>            </nb-layout-header>      <nb-layout-column>      <!-- Insert page content here -->      <router-outlet></router-outlet>    </nb-layout-column>      <nb-layout-footer fixed >      <!-- Insert footer here -->      <nb-actions>        <nb-action>          <a href="https://www.dfg.de">            <img src="../assets/images/dfgfallback.jpg" alt="DFG-Logo" style="height: 7.5rem; width: auto">          </a>        </nb-action>        <nb-action>          <a href="https://nfdi4ing.de">            <img src="../assets/images/logo_nfdi4ing_rgb_quer.png" alt="NFDI4Ing-Logo" style="height: 4rem; width: auto">          </a>        </nb-action>        <nb-action>          <a href="https://www.rwth-aachen.de/go/id/a/">            <img src="../assets/images/4015077e0188953563f1302799d86a10.jpg" alt="RWTH-Logo" style="height: 7rem; width: auto">          </a>        </nb-action>        <nb-action>          <a href="https://www.wzl.rwth-aachen.de/go/id/sijq/">           <img src="../assets/images/wzl.png" alt="RWTH-Logo" style="height: 3rem; width: auto">         </a>       </nb-action>        <nb-action size="medium" class="actions-container">          <a href="https://www.ipt.fraunhofer.de">            <img src="../assets/images/logo-ipt.gif" alt="IPT-Logo" style="height: 5rem; width: auto"/>          </a>        </nb-action>      </nb-actions>      <app-messages></app-messages>    </nb-layout-footer>  </nb-layout>          </div><div *ngIf="!isLandingPage"><nb-layout>  <!-- No touchy if you dont know what you are doin! NO TOUCHY! -->  <nb-layout-header fixed>  <!-- Insert header here  -->      <app-m-header></app-m-header>    </nb-layout-header>  <nb-layout-column>    <!-- Insert page content here -->     <router-outlet></router-outlet>  </nb-layout-column>  <nb-sidebar tag="left" state="collapsed">    <!-- Insert sidebar here --><!--<a class="bottom-space" nbButton shape="semi-round" status="primary" routerLink="projects">      Projects</a><a class="bottom-space" nbButton shape="semi-round" status="primary" routerLink="add">    Add Project</a> <a class="bottom-space" nbButton shape="semi-round" status="primary" routerLink="my">  My Project</a><a class="bottom-space" nbButton shape="semi-round" status="primary" routerLink="landing">  Landing Page</a>--> <!--Other Option(Verworfen)--><nb-accordion multi>  <nb-accordion-item>    <nb-accordion-item-header>      Projects    </nb-accordion-item-header> <button nbButton status="success">Success<nb-icon icon="star"></nb-icon></button>    <nb-accordion-item-body>      <a class="bottom-space" nbButton ghost shape="semi-round" ghost routerLink="projects">        My Projects<nb-icon icon="attach-outline"></nb-icon>      </a>      <a class="bottom-space" nbButton shape="semi-round" ghost routerLink="add">        Add Project<nb-icon icon="plus-circle-outline"></nb-icon>      </a>      <a class="bottom-space" nbButton shape="semi-round" ghost routerLink="my">        Template<nb-icon icon="person-add-outline"></nb-icon>      </a>    </nb-accordion-item-body>  </nb-accordion-item></nb-accordion><nb-accordion multi>  <nb-accordion-item>    <nb-accordion-item-header>      Explore    </nb-accordion-item-header> <button nbButton status="success">Success<nb-icon icon="star"></nb-icon></button>    <nb-accordion-item-body>      <a class="bottom-space" nbButton shape="semi-round" ghost routerLink="landing">        Guidelines      </a>      <a class="bottom-space" nbButton shape="semi-round" ghost routerLink="landing">        Settings      </a>    </nb-accordion-item-body>  </nb-accordion-item></nb-accordion>    <!--<nb-action icon="menu-outline" (click)="toggle()"></nb-action>--> <!--Das erzeugt ein toggle Menu in der Sidebar, sieht komisch aus. Kann man einschalten wenn gebraucht.-->  </nb-sidebar>  <nb-layout-footer fixed >    <!-- Insert footer here -->    <nb-actions>      <nb-action>        <a href="https://www.dfg.de">          <img src="../assets/images/dfgfallback.jpg" alt="DFG-Logo" style="height: 7.5rem; width: auto">        </a>      </nb-action>      <nb-action>        <a href="https://nfdi4ing.de">          <img src="../assets/images/logo_nfdi4ing_rgb_quer.png" alt="NFDI4Ing-Logo" style="height: 4rem; width: auto">        </a>      </nb-action>      <nb-action>        <a href="https://www.rwth-aachen.de/go/id/a/">          <img src="../assets/images/4015077e0188953563f1302799d86a10.jpg" alt="RWTH-Logo" style="height: 7rem; width: auto">        </a>      </nb-action>      <nb-action>        <a href="https://www.wzl.rwth-aachen.de/go/id/sijq/">         <img src="../assets/images/wzl.png" alt="RWTH-Logo" style="height: 3rem; width: auto">       </a>     </nb-action>      <nb-action size="medium" class="actions-container">        <a href="https://www.ipt.fraunhofer.de">          <img src="../assets/images/logo-ipt.gif" alt="IPT-Logo" style="height: 5rem; width: auto"/>        </a>      </nb-action>         </nb-actions>        <app-messages></app-messages>      </nb-layout-footer>  </nb-layout>    </div></div>'
    var COMPONENTS = [{'name': 'AddProjectComponent', 'selector': 'app-add-project'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'AuthComponent', 'selector': 'app-auth'},{'name': 'CAbschlussComponent', 'selector': 'app-c-abschluss'},{'name': 'CAccountComponent', 'selector': 'app-c-account'},{'name': 'CAnalyseComponent', 'selector': 'app-c-analyse'},{'name': 'CArchivierungComponent', 'selector': 'app-c-archivierung'},{'name': 'CBarComponent', 'selector': 'app-c-bar'},{'name': 'CDurchfuehrungComponent', 'selector': 'app-c-durchfuehrung'},{'name': 'CErhebungComponent', 'selector': 'app-c-erhebung'},{'name': 'CExitComponent', 'selector': 'app-c-exit'},{'name': 'CHomeComponent', 'selector': 'app-c-home'},{'name': 'CLandingComponent', 'selector': 'app-c-landing'},{'name': 'CLanguageComponent', 'selector': 'app-c-language'},{'name': 'CNachzutzungComponent', 'selector': 'app-c-nachzutzung'},{'name': 'CPlanungComponent', 'selector': 'app-c-planung'},{'name': 'CProjectsTableComponent', 'selector': 'app-c-projects-table'},{'name': 'CVorbereitungComponent', 'selector': 'app-c-vorbereitung'},{'name': 'CZugangComponent', 'selector': 'app-c-zugang'},{'name': 'LandingComponent', 'selector': 'app-landing'},{'name': 'LogoutComponent', 'selector': 'app-logout'},{'name': 'MainComponent', 'selector': 'app-main'},{'name': 'MessagesComponent', 'selector': 'app-messages'},{'name': 'MHeaderComponent', 'selector': 'app-m-header'},{'name': 'MyProjectComponent', 'selector': 'app-my-project'},{'name': 'NgxLoginComponent', 'selector': 'ngx-login'},{'name': 'ProjectDetailsComponent', 'selector': 'app-project-details'},{'name': 'ProjectsListComponent', 'selector': 'app-projects-list'},{'name': 'ProjectsMaterialTableComponent', 'selector': 'app-projects-material-table'},{'name': 'RegisterComponent', 'selector': 'app-register'},{'name': 'RequestPasswordComponent', 'selector': 'app-request-password'},{'name': 'ResetPasswordComponent', 'selector': 'app-reset-password'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'AppComponent'};
</script>
<script src="../js/tree.js"></script>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'AppComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
